%module(directors="1") gloox
%{
#include <gloox/gloox.h>
%}

%include <gloox/macros.h>
%include <gloox/gloox.h>

%include "std_string.i"
///* %include "std_list.i" */
///* %include "std_map.i" */

%include "loghandler.i"
%include "logsink.i"

%include "compressiondatahandler.i"
%include "compressionbase.i"

%include "tlsbase.i"
%include "tlshandler.i"
%include "connectiondatahandler.i"
%include "connectionhandler.i"
%include "connectionbase.i"
%include "connectiontcpbase.i"
%include "connectiontcpclient.i"
%include "connectionhttpproxy.i"
%include "connectionsocks5proxy.i"
%include "connectiontcpserver.i"

%include "jid.i"
%include "tag.i"
%include "stanza.i"

%include "taghandler.i"
%include "parser.i"
%include "flexoffhandler.i"
%include "statisticshandler.i"
%include "messageeventhandler.i"
%include "registrationhandler.i"
%include "annotationshandler.i"
%include "inbandbytestreamdatahandler.i"
%include "messagehandler.i"
%include "subscriptionhandler.i"
%include "bookmarkhandler.i"
%include "chatstatehandler.i"
%include "iqhandler.i"
%include "presencehandler.i"
%include "vcardhandler.i"
%include "discohandler.i"
%include "lastactivityhandler.i"
%include "privacylisthandler.i"
%include "disconodehandler.i"
%include "privatexmlhandler.i"
%include "connectionlistener.i"
%include "searchhandler.i"

%include "messagesession.i"
%include "messagesessionhandler.i"
%include "messagefilter.i"

%include "inbandbytestream.i"
%include "inbandbytestreamhandler.i"
%include "inbandbytestreammanager.i"

%include "socks5bytestreammanager.i"
%include "socks5bytestream.i"
%include "sihandler.i"
%include "socks5bytestreamhandler.i"
%include "siprofilehandler.i"
%include "siprofilefthandler.i"
%include "simanager.i"
%include "siprofileft.i"
%include "socks5bytestreamserver.i"

%include "clientbase.i"
%include "client.i"
%include "disco.i"
%include "component.i"
// %include "vcard.i"
// %include "vcardmanager.i"

%include "resource.i"
%include "rosteritem.i"
%include "rosterlistener.i"
%include "rostermanager.i"

%include "stanzaextension.i"
%include "vcardupdate.i"
%include "xdelayeddelivery.i"
%include "delayeddelivery.i"
%include "oob.i"
%include "gpgsigned.i"
%include "gpgencrypted.i"

%include "mucinvitationhandler.i"
%include "mucroomconfighandler.i"
%include "mucroomhandler.i"
%include "mucroom.i"
%include "instantmucroom.i"
%include "uniquemucroom.i"

%include "adhoc.i"
%include "adhoccommandprovider.i"
%include "adhochandler.i"

%include "privatexml.i"
%include "annotations.i"
%include "bookmarkstorage.i"
%include "chatstatefilter.i"
%include "clientbase.i"
%include "client.i"
%include "component.i"
%include "dataformfield.i"
%include "dataformbase.i"
%include "dataform.i"
%include "dataformitem.i"
%include "dataformreported.i"
%include "flexoff.i"
%include "lastactivity.i"
%include "messageeventfilter.i"
%include "privacyitem.i"
%include "privacymanager.i"
%include "registration.i"
%include "search.i"
