# This sample will log in using the given JID
# and print out any messages it receives.

import gloox
import sys
import getpass

class MyClient( gloox.MessageHandler ):
  j = gloox.JID( sys.argv[1] )
  c = gloox.Client( j, '' )

  def __init__( self ):
    gloox.MessageHandler.__init__( self )

  def setPassword( self, pwd ):
    self.c.setPassword( pwd )

  def run( self ):
    self.c.registerMessageHandler( self )
    b = self.c.connect( False )
    if b:
      print 'successfully connected'
      e = gloox.ConnNoError
      while e == gloox.ConnNoError:
        e = self.c.recv()

  def handleMessage( self, stanza ):
    print stanza.body()
    s = gloox.Stanza.createMessageStanza( stanza._from(), 'I\'m just a bot. However, I\'m written in Python, using the new Python bindings to gloox.' )
    self.c.send( s )


t = MyClient()
pwd = getpass.getpass( 'Password for ' + sys.argv[1] + ': ' )
t.setPassword( pwd )
t.run()
